function s2 = toChiprev

n = 19; % change this for number of points taken

%connect to the com port
s2 = serial('COM1');
set(s2, 'BaudRate',4800);
fopen(s2);

%create the array of angles data is taken from
angle = linspace(-45,225,n);
angle = angle*2*pi/360;

%initialize the array of range values
vals = zeros(1,n);

figure(1);

while (strcmp(get(s2,'Status'),'open')) %while port is open
    fprintf(s2, '*IDN?');      %poll the com port
    val = fscanf(s2,'%d');     %read the value
    
      if (~isempty(val))  
        for k = 1:length(val)  %extract the data angle from the input
            if (val(k) >= 299) %and place reading in corresponding location
                vals(ceil((val(k)-300)/2)+1) = val(k+1);
                drawnow %force matlab to update real-time
            end
                      
        end 
    end
        
    polar([(-45*2*pi/360) angle (225*2*pi/360)],[255 vals 255],'b-o'); %plot it
    
    
    
   
end

fclose(s2);
end
    